Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2219 - x11amp dies
Summary: x11amp dies
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: x11amp
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-16 18:29 UTC by Matthew Galgoci
Modified: 2015-01-07 23:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-07 18:55:41 UTC


Attachments (Terms of Use)

Description Matthew Galgoci 1999-04-16 18:29:37 UTC
x11amp in 5.9.9 pre noon seems to die in three unique ways:

1) it looks for esd by default. If it cannot find esd, it
simply core dumps. It should fall back to OSS style input
if it cannot connect to esd, and exit with a usefull error
message if it cannot open any audio devices.

2) sometimes, x11amp will just segfault for no good reason.
I haven't had time to recompile it with debugging to find
out why. It won't core dump though.

3) other times, x11amp will disapper from the screen, but
will remain on gnome-pager and in the process table. killing
it makes x11amp exit cleanly. ?!

Comment 1 David Lawrence 1999-05-07 18:55:59 UTC
I was unable to replicate this problem with x11amp that is being
shipped with 6.0 final.


Note You need to log in before you can comment on or make changes to this bug.